Subject: Re: [Intel-wired-lan] [REGRESSION] e1000e heavy packet loss on Meteor Lake - 6.14.2

From: Marek Marczykowski-Górecki <[email-masked]>
Date: Mon, 21 Apr 2025 15:19:12 +0200

On Mon, Apr 21, 2025 at 03:44:02PM +0300, Lifshits, Vitaly wrote:
> 
> 
> On 4/16/2025 3:43 PM, Marek Marczykowski-Górecki wrote:
> > On Wed, Apr 16, 2025 at 03:09:39PM +0300, Lifshits, Vitaly wrote:
> > > Can you please also share the output of ethtool -i? I would like to know the
> > > NVM version that you have on your device.
> > 
> > driver: e1000e
> > version: 6.14.1+
> > firmware-version: 1.1-4
> > expansion-rom-version:
> > bus-info: 0000:00:1f.6
> > supports-statistics: yes
> > supports-test: yes
> > supports-eeprom-access: yes
> > supports-register-dump: yes
> > supports-priv-flags: yes
> > 
> 
> Your firmware version is not the latest, can you check with the board
> manufacturer if there is a BIOS update to your system?

I can check, but still, it's a regression in the Linux driver - old
kernel did work perfectly well on this hw. Maybe new driver tries to use
some feature that is missing (or broken) in the old firmware?

> Also, you mentioned that on another system this issue doesn't reproduce, do
> they have the same firmware version?

The other one has also 1.1-4 firmware. And I re-checked, e1000e from
6.14.2 works fine there.

-- 
Best Regards,
Marek Marczykowski-Górecki
Invisible Things Lab